Results 1 to 2 of 2

Thread: libxfcegui and compiling

  1. #1
    Join Date
    Mar 2006
    Location
    Rumplestiltskin, Cal.
    Beans
    Hidden!
    Distro
    Ubuntu 14.04 Trusty Tahr

    libxfcegui and compiling

    From:

    http://goodies.xfce.org/projects/pan...4-timer-plugin

    I d/l'd the

    xfce4-timer-plugin-0.6.2.tar.bz2

    and extracted it into ~/XFCE-stuff folder. Then, in a Terminal I typed:

    ./configure

    lots of output and all seemed OK, until:

    checking for libxfcegui4-1.0 >= 4.2.0... not found
    *** The required package libxfcegui4-1.0 was not found on your system.
    *** Please install libxfcegui4-1.0 (atleast version 4.2.0) or adjust
    *** the PKG_CONFIG_PATH environment variable if you
    *** installed the package in a nonstandard prefix so that
    *** pkg-config is able to find it.

    SO, I hunt and peck for the missing libxfcegui4 in and around the internet, but to no avail. Can someone tell me how to get a timer applet installed and running in XFCE?
    AMD Athlon II X4 620, 4gig ddr2-800, m/b MSI K9N6PGM2, 1T SATA, EVGA 9500GT, Brother MFC-240C prntr, LG DVD-rom GSA-H55N

  2. #2
    Join Date
    Apr 2006
    Beans
    370

    Re: libxfcegui and compiling

    There is an xfce4-timer-plugin package in 11.04.
    Code:
    sudo apt-get install xfce4-timer-plugin
    That said, the compile is failing because you don't have the development headers package for libxfcegui4. So if you really did need to compile it, you could install libxfcegui4-dev, or use
    Code:
    sudo apt-get build-dep xfce4-timer-plugin
    (which installs anything listed as a build dependency on the ubuntu package)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •